glab(1)

NAME

glab-issue-update - Update issue

SYNOPSIS

glab issue update [flags]

DESCRIPTION

Update issue

OPTIONS

-a, --assignee=[]
    Assign users by username. Prefix with '!' or '-' to remove from existing assignees, or '+' to add new. Otherwise, replace existing assignees with these users.

-c, --confidential[=false]
    Make issue confidential

-d, --description=""
    Issue description. Set to "-" to open an editor.

-l, --label=[]
    Add labels.

--lock-discussion[=false]
    Lock discussion on issue.

-m, --milestone=""
    Title of the milestone to assign Set to "" or 0 to unassign.

-p, --public[=false]
    Make issue public.

-t, --title=""
    Title of issue.

--unassign[=false]
    Unassign all users.

-u, --unlabel=[]
    Remove labels.

--unlock-discussion[=false]
    Unlock discussion on issue.

-w, --weight=0
    Set weight of the issue.

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    glab issue update 42 --label ui,ux
    glab issue update 42 --unlabel working

SEE ALSO

glab-issue(1)